Bug 114016 - CAN-2003-0056 buffer overflow in slocate
Summary: CAN-2003-0056 buffer overflow in slocate
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: slocate   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-21 13:47 UTC by Mark J. Cox
Modified: 2014-03-17 02:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 18:58:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:041 normal SHIPPED_LIVE Moderate: slocate security update 2004-01-21 05:00:00 UTC

Description Mark J. Cox 2004-01-21 13:47:28 UTC
Buffer overflow in secure locate (slocate) before 2.7 allows
local users to execute arbitrary code with slocate privileges 
via a long (1) -c or (2) -r command line argument.

Note fixed since 2.6-7 therefore only affects RHEL2.1

        CAN-2003-0056 Affects: 2.1AS 2.1AW 2.1ES 2.1WS

Comment 1 Mark J. Cox 2004-01-26 18:58:18 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-041.html



Note You need to log in before you can comment on or make changes to this bug.